Bug 737933 - bkr task-details ignore invalid tasks
Summary: bkr task-details ignore invalid tasks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line
Version: 0.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: Yang Ren
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 12:30 UTC by Petr Sklenar ⛄
Modified: 2019-05-22 13:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-06 03:26:16 UTC


Attachments (Terms of Use)

Comment 1 Bill Peck 2011-09-15 17:32:12 UTC
ryang:  Can you take this one?  Target is 0.7.03

Comment 2 Yang Ren 2011-09-16 01:56:54 UTC
@bpeck, no problem.

Comment 3 Yang Ren 2011-09-20 05:55:59 UTC
(In reply to comment #1)
> ryang:  Can you take this one?  Target is 0.7.03

hi bpeck,

    I just want to confirm, that can I fix this bug by add a query condition Task.valid != 0 in Server/bkr/tasks.py 

    I find the test case disabled but still left in database with valid = 0;
    If I add that query condition all vaild = 0 test cases can not be list detail info using  #bkr task-details command. Will it effect other people's work flow?

Thanks,
Yang


Note You need to log in before you can comment on or make changes to this bug.